#! /bin/tcsh

set serverpid = `/usr/local/bin/getpid pbs_server`

if ( "$serverpid" == "" ) then
	/usr/local/PBS_HOME/sbin/pbs_server -t hot -a true
	echo "Error : pbs_server is not running - restarting `date`\npbs_server executing as pid `/usr/local/bin/getpid pbs_sched`" |\
	mail -s "PBS Server restarted on host `hostname`" root
	endif
