#include <BitField.h>
#include <PBS_Log.h>

const char * msg_daemonname = SetLogLocal("testBitField");

int main ( void )
	{
	BitField field1(256);
	BitField field2(128);
	BitField field3(256);
	
	fprintf(stdout, "Field1 %s Field2 - It Should Not...\n", field1==field2?"Equals":"Doesn't Equal");
	fprintf(stdout, "Field1 %s Field3 - It Should...\n",     field1==field3?"Equals":"Doesn't Equal");
		
	for(int i=0; i<256; i++)
		{
		if(i%3==0) field1.set(i);
		}
	for(int i=0; i<256; i++)
		{
		if(i%3==0) field1.clear();
		}
	fprintf(stdout, "Field1 %s Field3 - It Should...\n",     field1==field3?"Equals":"Doesn't Equal");
	for(int i=0; i<256; i++)
		{
		if(i%5==0) field1.set(i);
		if(i%9==0) field1.set(i);
		}
	fprintf(stdout, "Field1 %s Field3 - It Should Not...\n",     field1==field3?"Equals":"Doesn't Equal");
	for(int i=0; i<256; i++) field3.set(i);
	for(int i=0; i<256; i++) if(!field1.isSet(i)) field3.unset(i);
	fprintf(stdout, "Field1 %s Field3 - It Should...\n",     field1!=field3?"Doesn't Equal":"Equals");
	field1.asciiDump();
	}
