#include <PBS_Parameters.h>
#include <PBS_Log.h>

const char * msg_daemonname = SetLogLocal("formatUsage");

int main ()
	{
	PBS_Parameters & params = PBS_Parameters::attach();

	const char ** headers = params.getConfigHeaders();
	for(size_t idx=0; headers && headers[idx]; idx++)
		{
		const char ** entries = params.getConfigEntries((char *)headers[idx]);
		fprintf(stdout, "[%s]\n", headers[idx]);
		for(size_t jIdx=0; entries && entries[jIdx]!=NULL; jIdx++)
			{
			fprintf(stdout, "\t%s\n", entries[jIdx]);
			}
		fprintf(stdout, "\n");
		if(entries) free(entries);
		}

	if(headers) free(headers);
	}
