#include <StopWatch.h>
#include <stdlib.h>
#include <stdio.h>
#include <PBS_Log.h>

const char * msg_daemonname = SetLogLocal("testStopWatch");

int main()
	{
	StopWatch stopwatch;
	
	stopwatch.start();
	sleep(1);
	/* 1 */ stopwatch.lap();
	sleep(1);
	/* 2 */ stopwatch.lap();
	sleep(1);
	/* 3 */ stopwatch.lap();
	sleep(1);
	/* 4 */ stopwatch.lap();
	sleep(1);
	/* 5 */ stopwatch.lap();
	stopwatch.pause();
	/* 6 */ stopwatch.lap();
	/* 7 */ stopwatch.lap();
	sleep(1);
	stopwatch.resume();
	sleep(4);
	/* 8 */ stopwatch.lap();
	stopwatch.stop();

	fprintf(stdout, "Overall time is %g - should be 9.0\n", (double)stopwatch.getReading());
	fprintf(stdout, "	Lap 0 is %g - should be 1.0\n", (double)stopwatch.getLap(0));
	fprintf(stdout, "	Lap 1 is %g - should be 2.0\n", (double)stopwatch.getLap(1));
	fprintf(stdout, "	Lap 2 is %g - should be 3.0\n", (double)stopwatch.getLap(2));
	fprintf(stdout, "	Lap 3 is %g - should be 4.0\n", (double)stopwatch.getLap(3));
	fprintf(stdout, "	Lap 4 is %g - should be 5.0\n", (double)stopwatch.getLap(4));
	fprintf(stdout, "	Lap 5 is %g - should be 5.0\n", (double)stopwatch.getLap(5));
	fprintf(stdout, "	Lap 6 is %g - should be 5.0\n", (double)stopwatch.getLap(6));
	fprintf(stdout, "	Lap 7 is %g - should be 9.0\n", (double)stopwatch.getLap(7));
	}
